Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.sql.generator
Interface SqlGenerator

All Known Implementing Classes:
  BasicSqlGenerator

    public interface SqlGenerator

Method Summary
`Sql` | `countAll()`
`Sql` | `countBySample(Object sample)`
`Sql` | `countBySamples(Object... samples)`
`Sql` | `deleteAll()`
`Sql` | `deleteById(Object id)`
`Sql` | `deleteByIds(Object... ids)`
`Sql` | `deleteBySample(Object sample)`
`Sql` | `deleteBySamples(Object... samples)`
`Sql` | `insert(String propExpr, Object entity)`
`Sql` | `selectAll(String propExpr, String orderExpr)`
`Sql` | `selectById(String propExpr, Object id)`
`Sql` | `selectByIds(String propExpr, String orderExpr, Object... ids)`
`Sql` | `selectBySample(String propExpr, String orderExpr, Object sample)`
`Sql` | `selectBySamples(String propExpr, String orderExpr, Object... samples)`
`Sql` | `updateAll(String propExpr, Object entity)`
`Sql` | `updateById(String propExpr, Object entity, Object id)`
`Sql` | `updateByIds(String propExpr, Object entity, Object... ids)`
`Sql` | `updateBySample(String propExpr, Object entity, Object sample)`
`Sql` | `updateBySamples(String propExpr, Object entity, Object... samples)`

Method Detail

### countAll

    Sql countAll()

### countBySample

    Sql countBySample(Object sample)

### countBySamples

    Sql countBySamples(Object... samples)

### selectAll

    Sql selectAll(String propExpr,
                  String orderExpr)

### selectBySample

    Sql selectBySample(String propExpr,
                       String orderExpr,
                       Object sample)

### selectBySamples

    Sql selectBySamples(String propExpr,
                        String orderExpr,
                        Object... samples)

### selectById

    Sql selectById(String propExpr,
                   Object id)

### selectByIds

    Sql selectByIds(String propExpr,
                    String orderExpr,
                    Object... ids)

### insert

    Sql insert(String propExpr,
               Object entity)

### updateAll

    Sql updateAll(String propExpr,
                  Object entity)

### updateBySample

    Sql updateBySample(String propExpr,
                       Object entity,
                       Object sample)

### updateBySamples

    Sql updateBySamples(String propExpr,
                        Object entity,
                        Object... samples)

### updateById

    Sql updateById(String propExpr,
                   Object entity,
                   Object id)

### updateByIds

    Sql updateByIds(String propExpr,
                    Object entity,
                    Object... ids)

### deleteAll

    Sql deleteAll()

### deleteBySample

    Sql deleteBySample(Object sample)

### deleteBySamples

    Sql deleteBySamples(Object... samples)

### deleteById

    Sql deleteById(Object id)

### deleteByIds

    Sql deleteByIds(Object... ids)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.